# cabal2spec-0.25
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name data-inttrie

%global common_summary A simple lazy, infinite trie from integers

%global common_description Provides a minimal infinite, lazy trie for \
integral types. It intentionally leaves out ideas such as delete and \
emptiness so that it can be used lazily, eg. as the target of an infinite \
foldr. Essentially its purpose is to be an efficient implementation of \
a function from integral type, given point-at-a-time modifications.

Name:           ghc-%{pkg_name}
Version:        0.0.7
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec

%description
%{common_description}

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

# devel subpackage
%ghc_devel_package

%ghc_devel_description

%ghc_devel_post_postun

%ghc_files

%changelog
* Tue Jun 12 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.0.7-1
- Spec file template generated by cabal2spec-0.25.5
